<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ActivityReportItem_V5 StructType
 * @subpackage Structs
 */
class ActivityReportItem_V5 extends ActivityReportItem_With_Version_Info
{
    /**
     * The RegistrationID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $RegistrationID;
    /**
     * Constructor method for ActivityReportItem_V5
     * @uses ActivityReportItem_V5::setRegistrationID()
     * @param int $registrationID
     */
    public function __construct($registrationID = null)
    {
        $this
            ->setRegistrationID($registrationID);
    }
    /**
     * Get RegistrationID value
     * @return int
     */
    public function getRegistrationID()
    {
        return $this->RegistrationID;
    }
    /**
     * Set RegistrationID value
     * @param int $registrationID
     * @return \StructType\ActivityReportItem_V5
     */
    public function setRegistrationID($registrationID = null)
    {
        // validation for constraint: int
        if (!is_null($registrationID) && !(is_int($registrationID) || ctype_digit($registrationID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($registrationID, true), gettype($registrationID)), __LINE__);
        }
        $this->RegistrationID = $registrationID;
        return $this;
    }
}
